Debian Bug report logs - #316117
/usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Lars Wirzenius <liw@iki.fi>

Date: Tue, 28 Jun 2005 16:33:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.02-2

Fixed in version manpages/2.06-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Tue, 28 Jun 2005 19:21:46 +0300
Package: manpages-dev
Version: 2.02-2
Severity: normal
File: /usr/share/man/man3/getgrnam.3.gz

>From getgrnam(3):

       The getgrnam() function returns a pointer to a structure containing the
       group information from /etc/group for the entry that matches the  group
       name name.

       The getgrgid() function returns a pointer to a structure containing the
       group information from /etc/group for the entry that matches the  group
       gid gid.

        ...
        
  FILES
       /etc/group
              group database file

In reality, glibc uses other sources also to find information about
groups, not just /etc/group. For example, NIS: see #295680, which
started with a misunderstanding about this. Changing the working to say
something like "group information from the group database (e.g., in
/etc/group, NIS, and LDAP)" in the first two paragraphs and "default
group database file" in the FILES section might be good.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.10-1-686
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.02-2     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Lars Wirzenius <liw@iki.fi>, 316117@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Wed, 29 Jun 2005 17:34:00 +0200 (MEST)
Lars,

> Von: Lars Wirzenius <liw@iki.fi>
> An: Debian Bug Tracking System <submit@bugs.debian.org>
> Betreff: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev:   
> getgrnam(3) says /etc/group, should be "group database"
> Datum: Tue, 28 Jun 2005 19:21:46 +0300
> 
> Package: manpages-dev
> Version: 2.02-2
> Severity: normal
> File: /usr/share/man/man3/getgrnam.3.gz
> 
> >>From getgrnam(3):
> 
>        The getgrnam() function returns a pointer to a structure 
>        containing the
>        group information from /etc/group for the entry that matches the 
>        group name name.
> 
>        The getgrgid() function returns a pointer to a structure 
>        containing the
>        group information from /etc/group for the entry that matches the 
>        group gid gid.
> 
>         ...
>         
>   FILES
>        /etc/group
>               group database file
> 
> In reality, glibc uses other sources also to find information about
> groups, not just /etc/group. 

Yes.

> For example, NIS: see #295680, which
> started with a misunderstanding about this. Changing the working to say
> something like "group information from the group database (e.g., in
> /etc/group, NIS, and LDAP)" in the first two paragraphs and "default
> group database file" in the FILES section might be good.

Yes, I agree that a change to getgrnam.3 along these lines is 
needed.

Do you agree that analogous changes are also required in the
following pages:

getgrnam.3
getpwent.3
getpwnam.3

and perhaps:

getspnam.3

?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

5 GB Mailbox, 50 FreeSMS http://www.gmx.net/de/go/promail
+++ GMX - die erste Adresse für Mail, Message, More +++



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 316117@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 316117@bugs.debian.org
Subject: Re: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Fri, 01 Jul 2005 14:22:26 +0300
ke, 2005-06-29 kello 17:34 +0200, Michael Kerrisk kirjoitti:
> > For example, NIS: see #295680, which
> > started with a misunderstanding about this. Changing the working to say
> > something like "group information from the group database (e.g., in
> > /etc/group, NIS, and LDAP)" in the first two paragraphs and "default
> > group database file" in the FILES section might be good.
> 
> Yes, I agree that a change to getgrnam.3 along these lines is 
> needed.
> 
> Do you agree that analogous changes are also required in the
> following pages:
> 
> getgrnam.3
> getpwent.3
> getpwnam.3
> 
> and perhaps:
> 
> getspnam.3

I agree.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 316117@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Lars Wirzenius <liw@iki.fi>
Cc: 316117@bugs.debian.org
Subject: Re: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Fri, 1 Jul 2005 18:50:19 +0200 (MEST)
Lars,

> > > For example, NIS: see #295680, which
> > > started with a misunderstanding about this. Changing the working to
> > > say
> > > something like "group information from the group database (e.g., in
> > > /etc/group, NIS, and LDAP)" in the first two paragraphs and "default
> > > group database file" in the FILES section might be good.
> > 
> > Yes, I agree that a change to getgrnam.3 along these lines is 
> > needed.
> > 
> > Do you agree that analogous changes are also required in the
> > following pages:
> > 
> > getgrnam.3

That should have read getrent.3 of course.

> > getpwent.3
> > getpwnam.3

I have changed get{pw,gr}{nam,ent}.3 along the lines you suggest,
and made some other cleanups.

> > and perhaps:
> > 
> > getspnam.3

I'm not 100% sure what to do with that last page, and I'd 
appreciate your input, if you have some.  Can you comment on 
the following paragraph from the page:

       This shadow password setup has been  super&#8208;
       seded  by PAM (pluggable authentication modules), and the
       file /etc/nsswitch.conf now describes the sources  to  be
       used.

Is this somehow different from the passwd and group routines?
Do I need to strike the above para, or alternatively add some
text along those lines on the other 4 pages?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at 316117@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 316117@bugs.debian.org
Subject: Re: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Fri, 01 Jul 2005 19:56:03 +0300
pe, 2005-07-01 kello 18:50 +0200, Michael Kerrisk kirjoitti:
> Is this somehow different from the passwd and group routines?
> Do I need to strike the above para, or alternatively add some
> text along those lines on the other 4 pages?

I'm not entirely sure. This authentication/PAM stuff is not something I
fully understand.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#316117; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #35 received at 316117@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Lars Wirzenius <liw@iki.fi>
Cc: 316117@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#316117: /usr/share/man/man3/getgrnam.3.gz: manpages-dev: getgrnam(3) says /etc/group, should be "group database"
Date: Mon, 4 Jul 2005 10:03:01 +0200 (MEST)
tags 316117 fixed-upstream
thanks

> > Is this somehow different from the passwd and group routines?
> > Do I need to strike the above para, or alternatively add some
> > text along those lines on the other 4 pages?
> 
> I'm not entirely sure. This authentication/PAM stuff is not something I
> fully understand.

Okay -- I've made similar changes now in getspnam.3, and I've 
removed the text on PAM and nsswitch.conf; ultimately, I think
these details need to be (better) described somewhere else.

Changes will all appear in man-pages-2.06.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 316117-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 316117-close@bugs.debian.org
Subject: Bug#316117: fixed in manpages 2.06-1
Date: Tue, 15 Nov 2005 02:47:08 -0800
Source: manpages
Source-Version: 2.06-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.06-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.06-1_all.deb
manpages_2.06-1.diff.gz
  to pool/main/m/manpages/manpages_2.06-1.diff.gz
manpages_2.06-1.dsc
  to pool/main/m/manpages/manpages_2.06-1.dsc
manpages_2.06-1_all.deb
  to pool/main/m/manpages/manpages_2.06-1_all.deb
manpages_2.06.orig.tar.gz
  to pool/main/m/manpages/manpages_2.06.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316117@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 15 Nov 2005 11:30:47 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.06-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 182635 211336 237344 316117
Changes: 
 manpages (2.06-1) unstable; urgency=low
 .
   * New upstream version, with these updates
     - Change description for ESTALE in errno(3) (Closes: Bug#237344)
     - Added SEE ALSO putgrent(3) (Closes: Bug#211336)
     - Refer to /etc/passwd as local password database (Closes: Bug#316117)
     - Change protocol in UDP prototype in ip(7) (Closes: Bug#182635)
Files: 
 c395b4926d4aa2d7eeb1551c1e8d15eb 584 doc - manpages_2.06-1.dsc
 bd39bcd46b52c398bb5125b34eda7761 1038154 doc - manpages_2.06.orig.tar.gz
 9eb6abc803408fd636695631b2c240e1 44943 doc - manpages_2.06-1.diff.gz
 e265d194c731482e51fa6fd8b8908431 400684 doc important manpages_2.06-1_all.deb
 4db0a212f1c29dc9623716af2c0957bc 1094244 doc standard manpages-dev_2.06-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDebqzW5ql+IAeqTIRAhqcAJ9bC84hj6MAmqr6L/XTncLRk0dk+QCcCszN
AS1mwjs9yFCqOr/3MCjcNMc=
=9HcF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:01:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:39:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.